#
# spec file for package 
#
# Copyright (c) 2014 SUSE LINUX Products GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:           urlwatch
Version:        1.17
Release:        5.5
Summary:        A tool for monitoring webpages for updates
License:        BSD-3-Clause
Group:          Productivity/Networking/Web/Utilities
Url:            http://thp.io/2008/urlwatch/
Source:         http://thp.io/2008/urlwatch/urlwatch-%{version}.tar.gz
BuildRequires:  fdupes
BuildRequires:  python-devel
BuildRequires:  python-futures
BuildArch:      noarch
Requires:       python-futures
BuildRoot:      %{_tmppath}/%{name}-%{version}-build

%description
urlwatch is intended to help you watch URLs and get notified (via email
or in your terminal) of any changes. The change notification will include
the URL that has changed and a unified diff of what has changed.

The script supports the use of a filtering hook function to strip
trivially-varying elements of a webpage.

%prep
%setup -q

%build
python setup.py build

%install
python setup.py install --skip-build --root=%{buildroot}
%fdupes -s %{buildroot}%{python_sitelib}/%{name}/

%files
%defattr(-,root,root)
%doc ChangeLog COPYING README
%{_bindir}/%{name}
%{python_sitelib}/%{name}*
%{python_sitelib}/%{name}/
%{_mandir}/man1/%{name}.1.gz
%{_datadir}/%{name}/

%changelog
* Sat Aug  2 2014 dmitry_r@opensuse.org
- Initial package, version 1.17
